Create an organization tag

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /organization/tags/{orgId}

Creates an organization tag (severity info and the default colors unless given) and returns it. Requires a member role or above in the organization and an active plan (403 otherwise). Returns 400 when the organization already has a tag with that name (case-insensitive).

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • orgId string Required

    Id of the organization

application/json

Body Required

  • name string Required
  • backgroundColor string
  • textColor string
  • severity string

    Values are info, warning, or danger. Default value is info.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • name string Required
      • nameLowercase string Required
      • backgroundColor string Required
      • textColor string Required
      • type string Required

        Values are system, organization, case, or user.

      • severity string Required

        Values are info, warning, or danger.

      • origin string Required

        Values are manual or auto-import.

      • creatorAccessType string | null

        Values are org or opposing_council.

      • isActive boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /organization/tags/{orgId}
curl \
 --request POST 'http://api.example.com/organization/tags/{orgId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "name": "string",
  "backgroundColor": "string",
  "textColor": "string",
  "severity": "info"
}'
Request examples
# Headers
organization: string

# Payload
{
  "name": "string",
  "backgroundColor": "string",
  "textColor": "string",
  "severity": "info"
}
Response examples (201)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "name": "Important",
    "nameLowercase": "important",
    "backgroundColor": "#FDE68A",
    "textColor": "#92400E",
    "type": "system",
    "severity": "info",
    "origin": "manual",
    "creatorAccessType": "org",
    "isActive": true
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}